Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.unittest
Class TestXmlFixerReader

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.sun.syndication.unittest.TestXmlFixerReader

All Implemented Interfaces:
  junit.framework.Test

    public class TestXmlFixerReader

extends junit.framework.TestCase

Author:
  pat, tucu

Constructor Summary
`TestXmlFixerReader()`

Method Summary
`protected void` | `_testInvalidEntities(String xmlDoc)`
`protected void` | `_testInvalidTrim(String garbish, String xmlDoc)`
`protected void` | `_testValidEntities(String xmlDoc)`
`protected void` | `_testValidTrim(String garbish, String xmlDoc)`
`protected void` | `_testXmlParse(String garbish, String xmlDoc)`
`protected InputStream` | `getStream(String garbish, String xmlDoc)`
`void` | `testAmpHandling()`
`void` | `testHtmlEntities()`
`void` | `testTrim()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestXmlFixerReader

    public TestXmlFixerReader()

Method Detail

### testTrim

    public void testTrim()
                  throws Exception

  Throws:
    `Exception`

### testAmpHandling

    public void testAmpHandling()
                         throws Exception

  Throws:
    `Exception`

### testHtmlEntities

    public void testHtmlEntities()
                          throws Exception

  Throws:
    `Exception`

### _testXmlParse

    protected void _testXmlParse(String garbish,
                                 String xmlDoc)
                          throws Exception

  Throws:
    `Exception`

### _testValidTrim

    protected void _testValidTrim(String garbish,
                                  String xmlDoc)
                           throws Exception

  Throws:
    `Exception`

### _testInvalidTrim

    protected void _testInvalidTrim(String garbish,
                                    String xmlDoc)
                             throws Exception

  Throws:
    `Exception`

### _testValidEntities

    protected void _testValidEntities(String xmlDoc)
                               throws Exception

  Throws:
    `Exception`

### _testInvalidEntities

    protected void _testInvalidEntities(String xmlDoc)
                                 throws Exception

  Throws:
    `Exception`

### getStream

    protected InputStream getStream(String garbish,
                                    String xmlDoc)
                             throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.